/**
 * Luokka nestyksen yhdelle vaihtoehdolle
 * @author Vesa Lappalainen
 * @version 1.0, 27.02.2003
 */
public class Valinta {

  private char kirjain;
  private String teksti;
  private int maara;

  public Valinta(char kirjain, String teksti) {
    this.kirjain = kirjain;
    this.teksti = teksti;
  }

  public String getTulostus() {
    return kirjain + " = " + teksti;
  }

  public int getMaara() { return maara; }

  public void lisaa() { maara++; }

  public char getKirjain() { return kirjain; }
  public String getTeksti() { return teksti; }


  public static void main(String[] args)  {
    Valinta val = new Valinta('K',"Kyll");
    String tulostus = val.getTulostus();
    System.out.println(tulostus);
    int lkm = val.getMaara();
    System.out.println(lkm);
    val.lisaa();
    lkm = val.getMaara();
    System.out.println(lkm);
  }
}

